Subject: Re: copyless virtio net thoughts?

From: Arnd Bergmann <[email-masked]>
Date: Sat, 7 Feb 2009 12:56:06 +0100

On Friday 06 February 2009, Avi Kivity wrote:
> > Well, these guests will suck both on baremetal and in virtualisation,
> > big deal :) Multiqueue at 10GbE speeds and above is simply not an
> > optional feature.
> >   
> 
> Each guest may only use a part of the 10Gb/s bandwidth, if you have 10 
> guests each using 1Gb/s, then we should be able to support this without 
> multiqueue in the guests.

I would expect that there are people that even people with 10 simultaneous
guests would like to be able to saturate the link when only one or two of
them are doing much traffic on the interface.

Having the load spread evenly over all guests sounds like a much rarer
use case.

	Arnd <><